import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class PancakeswapContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    pancakeswapCakeChef({ address, network }: ContractOpts): import("./ethers").PancakeswapCakeChef;
    pancakeswapChef({ address, network }: ContractOpts): import("./ethers").PancakeswapChef;
    pancakeswapChefV2({ address, network }: ContractOpts): import("./ethers").PancakeswapChefV2;
    pancakeswapFactory({ address, network }: ContractOpts): import("./ethers").PancakeswapFactory;
    pancakeswapFarmBooster({ address, network }: ContractOpts): import("./ethers").PancakeswapFarmBooster;
    pancakeswapIfoChef({ address, network }: ContractOpts): import("./ethers").PancakeswapIfoChef;
    pancakeswapPair({ address, network }: ContractOpts): import("./ethers").PancakeswapPair;
    pancakeswapSmartChef({ address, network }: ContractOpts): import("./ethers").PancakeswapSmartChef;
    pancakeswapStablePool({ address, network }: ContractOpts): import("./ethers").PancakeswapStablePool;
    pancakeswapStablePoolRegistry({ address, network }: ContractOpts): import("./ethers").PancakeswapStablePoolRegistry;
    pancakeswapSyrupCake({ address, network }: ContractOpts): import("./ethers").PancakeswapSyrupCake;
}
export type { PancakeswapCakeChef } from './ethers';
export type { PancakeswapChef } from './ethers';
export type { PancakeswapChefV2 } from './ethers';
export type { PancakeswapFactory } from './ethers';
export type { PancakeswapFarmBooster } from './ethers';
export type { PancakeswapIfoChef } from './ethers';
export type { PancakeswapPair } from './ethers';
export type { PancakeswapSmartChef } from './ethers';
export type { PancakeswapStablePool } from './ethers';
export type { PancakeswapStablePoolRegistry } from './ethers';
export type { PancakeswapSyrupCake } from './ethers';
